[Numpy-svn] r5366 - trunk/numpy/distutils/command

numpy-svn@scip... numpy-svn@scip...
Wed Jul 9 01:02:41 CDT 2008


Author: cdavid
Date: 2008-07-09 01:02:36 -0500 (Wed, 09 Jul 2008)
New Revision: 5366

Modified:
   trunk/numpy/distutils/command/scons.py
Log:
Bump min version for numscons to 0.8.2.

Modified: trunk/numpy/distutils/command/scons.py
===================================================================
--- trunk/numpy/distutils/command/scons.py	2008-07-09 06:01:49 UTC (rev 5365)
+++ trunk/numpy/distutils/command/scons.py	2008-07-09 06:02:36 UTC (rev 5366)
@@ -341,13 +341,18 @@
                                    "this package " % str(e))
 
             try:
+                minver = "0.8.2"
                 from numscons import get_version
-                if get_version() < '0.8.0':
+                if get_version() < minver:
                     raise ValueError()
-            except ImportError, ValueError:
-                raise RuntimeError("You need numscons >= 0.8.0 to build numpy "\
+            except ImportError:
+                raise RuntimeError("You need numscons >= %s to build numpy "\
                                    "with numscons (imported numscons path " \
-                                   "is %s)." % numscons.__file__)
+                                   "is %s)." % (minver, numscons.__file__))
+            except ValueError:
+                raise RuntimeError("You need numscons >= %s to build numpy "\
+                                   "with numscons (detected %s )" \
+                                   % (minver, get_version()))
                 
         else:
             # nothing to do, just leave it here.



More information about the Numpy-svn mailing list